ACPI Error on Loading Debian 10.3 LiveCD

Help with issues regarding installation of Debian

ACPI Error on Loading Debian 10.3 LiveCD

Postby AlGallaf » 2020-04-04 08:39

Debian 10.3 64-bit Gnome LiveCD (debian-live-10.3.0-amd64-gnome.iso) is failing to run on my PC. I'm getting the error below.

Code: Select all
[     1.063006] ACPI Error: AE_AML_PACKAGE_LIMIT, Index (0x000000007) is beyond end of object (length 0x6) (20180810/exoparg2-396)
[     1.063039] ACPI Error: Method parse/execution failed \_SB.PCIO.BXBR.BYUP.BYD8.XHC1.RHUB.PRT6._PLD, AE_AML_PACKAGE_LIMIT (20180810/psparse-516)
[     1.111098] nouveau 0000:0a:00.0: unknown chipset (164000a1)
[     1.630495] usbhid 7-3:1.2: couldn't find an input interrupt endpooint
[     5.521988] sp5100-tco sp5100-tco: Watchdog hardware is disabled

After a few seconds, error messages disappear leaving only a blinking cursor on a blank screen which I left it for a couple of minutes hoping that Debian would eventually load but with no luck.

PC Specs
CPU: AMD Ryzen 9 3950X
Memory: G.Skill Trident Z Neo Series 32GB (2 x 16GB) 3600Mhz
Motherboard: Asus ROG X570 Crosshair VIII Hero (Wi-Fi)
GPU: ASUS ROG Strix GeForce RTX 2080 Super Advanced Overclocked (ROG-STRIX-RTX-2080S-A8G)
BIOS: Version 1302 (Latest Version as of 04/04/2020)

Thanks.
AlGallaf
 
Posts: 1
Joined: 2020-04-04 07:27

Re: ACPI Error on Loading Debian 10.3 LiveCD

Postby Head_on_a_Stick » 2020-04-04 12:24

AlGallaf wrote:Debian 10.3 64-bit Gnome LiveCD (debian-live-10.3.0-amd64-gnome.iso) is failing to run on my PC

It's running but the graphical desktop is failing because 3rd generation Ryzen is too new for buster's stock kernel version and I'm not sure if that NVIDIA card is supported by nouveau.

Why did you buy NVIDIA if you wanted to run Debian? That seems like a strange choice, the proprietary drivers are not part of the official release (although they are available in the unofficial non-free component of the repositories).

Use the systemd.unit=multi-user.target kernel command line parameter to disable the graphical desktop and then try installing a newer kernel version (and perhaps the newer NVIDIA proprietary drivers) from the buster-backports repositories, see my [FAQ] in the HowTo section for details.

If the image won't even start a console session then perhaps try the buster-backports image linked in my signature, that already includes the newer kernel & non-free firmware. I'm not really interested in supporting those NVIDIA bastards though so you'll have to work that out for yourself.
Black Lives Matter

Debian buster-backports ISO image: for new hardware support
User avatar
Head_on_a_Stick
 
Posts: 12744
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: ACPI Error on Loading Debian 10.3 LiveCD

Postby p.H » 2020-04-04 13:58

Head_on_a_Stick wrote:Use the systemd.unit=multi-user.target kernel command line parameter to disable the graphical desktop

"4" has the same effect and is much shorter.
p.H
 
Posts: 1511
Joined: 2017-09-17 07:12

Re: ACPI Error on Loading Debian 10.3 LiveCD

Postby stevepusser » 2020-04-05 04:37

You'll also need the "linux-header" packages from backports to match your backports kernel--otherwise Nvidia drivers won't build.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 12124
Joined: 2009-10-06 05:53


Return to Installation

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable